
From: Patrick Boettcher <pb@linuxtv.org>

Don't use HZ for usb-transfer-timeouts.

Signed-off-by: Patrick Boettcher <pb@linuxtv.org>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Cc: Greg KH <greg@kroah.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/dvb-usb/dvb-usb-urb.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/media/dvb/dvb-usb/dvb-usb-urb.c~dvb-usb-dont-use-hz-for-timeouts drivers/media/dvb/dvb-usb/dvb-usb-urb.c
--- devel/drivers/media/dvb/dvb-usb/dvb-usb-urb.c~dvb-usb-dont-use-hz-for-timeouts	2005-07-01 21:14:12.000000000 -0700
+++ devel-akpm/drivers/media/dvb/dvb-usb/dvb-usb-urb.c	2005-07-01 21:14:12.000000000 -0700
@@ -29,7 +29,7 @@ int dvb_usb_generic_rw(struct dvb_usb_de
 
 	ret = usb_bulk_msg(d->udev,usb_sndbulkpipe(d->udev,
 			d->props.generic_bulk_ctrl_endpoint), wbuf,wlen,&actlen,
-			2*HZ);
+			2000);
 
 	if (ret)
 		err("bulk message failed: %d (%d/%d)",ret,wlen,actlen);
@@ -43,7 +43,7 @@ int dvb_usb_generic_rw(struct dvb_usb_de
 
 		ret = usb_bulk_msg(d->udev,usb_rcvbulkpipe(d->udev,
 				d->props.generic_bulk_ctrl_endpoint),rbuf,rlen,&actlen,
-				2*HZ);
+				2000);
 
 		if (ret)
 			err("recv bulk message failed: %d",ret);
_
